<?php
/**
 * File containing interface definition for the 'attribute' template operator output formatter
 *
 * @copyright Copyright (C) eZ Systems AS. All rights reserved.
 * @license For full copyright and license information view LICENSE file distributed with this source code.
 * @version //autogentag//
 * @package kernel
 */

interface ezpAttributeOperatorFormatterInterface
{
    /**
     * Formats header for the 'attribute' template operator output
     *
     * @param string $value
     * @param bool $showValues
     * @return string
     */
    public function header( $value, $showValues );

    /**
     * Formats single line for the 'attribute' template operator output
     *
     * @param string $key
     * @param mixed $item
     * @param bool $showValues
     * @param int $level
     * @return string
     */
    public function line( $key, $item, $showValues, $level );

    /**
     * Formats a scalar value like a string or an integer.
     *
     * @param mixed $value
     * @param return mixed
     */
    public function exportScalar( $value );
}
